Skip to Content

Slackware-Current compile problems

3 replies [Last post]
austin
Offline
Joined: 04/17/2010

I'm trying to compile the stable version of Hydrogen on my Slackware Box (10.2++----current)

When I run the configure script, I get this error:

checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check

I'm fairly certain that I have the necessary libraries (libc etc) and I haven't had other problems compiling programs. Any suggestions?

Thanks,
Austin

Comix
Offline
Joined: 04/17/2010

what gcc version are you using?

--
comix

jd0739
Offline
Joined: 04/17/2010

I get the same message on Fedora Core 5
I am using ver 4.1.0

jagerhans
Offline
Joined: 04/17/2010

i've a slackware 9 and i get the same error message about the sanity check. guess i have a gcc/g++ 3 series. if needed i can check (i am far from that machine right now).

btw i also use a prehistoric mandrake 8.1 which doesnt compile a god damned nothing because it needs tragically a glibc update, but at least (with gcc 2.96 and 3.1) doesnt give the sanity check failure.

the binary package runs ok on my slackware... congratulations for your work.